OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ATI.PixelFormatFloat

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetATIPixelFormatFloat :: MonadIO m => m Bool
- gl_ATI_pixel_format_float :: Bool
- gl_COLOR_CLEAR_UNCLAMPED_VALUE_ATI :: GLenum
- gl_RGBA_FLOAT_MODE_ATI :: GLenum

# Extension Support

glGetATIPixelFormatFloat :: MonadIO m => m Bool

Is the ATI_pixel_format_float extension supported?

gl_ATI_pixel_format_float :: Bool

Is the ATI_pixel_format_float extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIPixelFormatFloat` in those cases instead.

# Enums

gl_COLOR_CLEAR_UNCLAMPED_VALUE_ATI :: GLenum

gl_RGBA_FLOAT_MODE_ATI :: GLenum